.icon {
  display: inline-block;
  fill: $yellow-color;

  &--blue {
    fill: $blue-color;
  }

  &--gray {
    fill: $gray-color--down-11;
  }

  &--yellow {
    fill: $primary-color;
  }

  &--plus,
  &--minus {
    position: relative;
    padding-left: 1px;
    width: 20px;
    height: 20px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background-color: $gray-light-color--up-5;

    &::before,
    &::after {
      content: "";
      position: absolute;
      background-color: #C4C4C4;
    }

    &::before {
      width: 7px;
      height: 1px;
    }

    &::after {
      width: 1px;
      height: 7px;
    }
  }

  &--minus {
    background-color: $primary-color;

    &::before {
      background-color: #333333;
    }

    &::after {
      display: none;
    }
  }
}
